# -*- coding: utf-8 -*-

# TODO: copyright

DOCUMENTATION = '''
---
module: win_git
author:
    - "Kenneth Benzie (Benie)"
short_description: Deploy software (or files) from git checkouts on Windows
description:
    - Manage git checkouts of repositories to deploy files or software on Windows.
options:
    data:
        description:
            - Alternate data to return instead of 'pong'.
            - If this parameter is set to C(crash), the module will cause an
              exception.
        type: str
        default: pong
seealso:
    - module: ansible.builtin.git
'''

EXAMPLES = r'''
# Test connectivity to a windows host
# ansible winserver -m ansible.windows.win_ping

- name: Example from an Ansible Playbook
  ansible.windows.win_ping:

- name: Induce an exception to see what happens
  ansible.windows.win_ping:
    data: crash
'''

RETURN = r'''
ping:
    description: Value provided with the data parameter.
    returned: success
    type: str
    sample: pong
'''
